Package org.apache.sysds.hops.codegen.cplan

## Class CNodeData

- java.lang.Object
- - org.apache.sysds.hops.codegen.cplan.CNode
  - - org.apache.sysds.hops.codegen.cplan.CNodeData

    public class CNodeData
    extends CNode

### Constructor Summary

Constructors
`CNodeData​(CNodeData node, String newName)`
`CNodeData​(Hop hop)`
`CNodeData​(Hop hop, long rows, long cols, Types.DataType dt)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `codegen​(boolean sparse, SpoofCompiler.GeneratorAPI api)`
`boolean` `equals​(Object o)`
`long` `getHopID()`
`String` `getVarname()`
`String` `getVarname​(SpoofCompiler.GeneratorAPI api)`
`int` `hashCode()`
`boolean` `isSupported​(SpoofCompiler.GeneratorAPI api)`
`void` `setName​(String name)`
`void` `setOutputDims()`
`void` `setStrictEquals​(boolean flag)`
`String` `toString()`

### Methods inherited from class org.apache.sysds.hops.codegen.cplan.CNode

`createVarname, getClassname, getDataType, getID, getInput, getNumCols, getNumRows, getOutput, getVectorLength, isGenerated, isLiteral, isVisited, resetGenerated, resetHash, resetVisitStatus, setDataType, setLiteral, setNumCols, setNumRows, setOutput, setVarName, setVisited, setVisited`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CNodeData

    public CNodeData​(Hop hop)

#### CNodeData

    public CNodeData​(Hop hop,
                     long rows,
                     long cols,
                     Types.DataType dt)

#### CNodeData

    public CNodeData​(CNodeData node,
                     String newName)

### Method Detail

#### getVarname

    public String getVarname()

Overrides:
  `getVarname` in class `CNode`

#### getVarname

    public String getVarname​(SpoofCompiler.GeneratorAPI api)

Overrides:
  `getVarname` in class `CNode`

#### getHopID

    public long getHopID()

#### setName

    public void setName​(String name)

#### setStrictEquals

    public void setStrictEquals​(boolean flag)

#### codegen

    public String codegen​(boolean sparse,
                          SpoofCompiler.GeneratorAPI api)

Specified by:
  `codegen` in class `CNode`

#### setOutputDims

    public void setOutputDims()

Specified by:
  `setOutputDims` in class `CNode`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `CNode`

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `CNode`

#### isSupported

    public boolean isSupported​(SpoofCompiler.GeneratorAPI api)

Specified by:
  `isSupported` in class `CNode`